<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sidebar search filters</title>
</head>
<body>

<!--/*@thymesVar id="searchFilters" type="com.example.internetshop.models.ProductSearchFilters"*/-->
<div th:fragment="searchFilterBadges"
     class="applied-filters d-flex flex-wrap">
    <form th:action="@{/}" method="post">
        <button class="badge badge-pill badge-primary search-filter-badge">Reset filters&nbsp;&times;
        </button>
    </form>
    <span th:if="${searchFilters.categories.size() > 0}"
          class="badge badge-pill badge-primary search-filter-badge">
        <span>Categories:&nbsp;</span>
        <!--/*@thymesVar id="filterCategoryNames" type="java.util.List<java.lang.String>"*/-->
        <span th:text="${#strings.listJoin(filterCategoryNames, ', ')}">category list</span>
    </span>
    <span th:if="${searchFilters.brands.size() > 0}"
          class="badge badge-pill badge-primary search-filter-badge">
        <span>Brands:&nbsp;</span>
        <span th:text="${#strings.listJoin(searchFilters.brands, ', ')}">brand list</span>
    </span>
    <span th:if="${searchFilters.isPriceSet()}"
          class="badge badge-pill badge-primary search-filter-badge">
        <span>Price:&nbsp;</span>
        <span th:text="${searchFilters.minPrice}">0</span>
        <span>&nbsp;&hyphen;&nbsp;</span>
        <span th:text="${searchFilters.maxPrice}">100</span>
    </span>
</div>

</body>
</html>